Bug 504152 - Review Request: perl-Pod-Abstract - Abstract document tree for Perl POD documents
Review Request: perl-Pod-Abstract - Abstract document tree for Perl POD docum...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 09:50 EDT by Marcela Mašláňová
Modified: 2009-06-22 07:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-22 07:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-06-04 09:50:26 EDT
Spec: http://mmaslano.fedorapeople.org/review/perl-Pod-Abstract.spec
SRPM: http://mmaslano.fedorapeople.org/review/perl-Pod-Abstract-0.17-1.fc11.src.rpm
Description: POD::Abstract provides a means to load a POD (or POD compatible) document without direct reference to it's syntax, and perform manipulations on the
abstract syntax tree.
Comment 1 Parag AN(पराग) 2009-06-08 00:54:35 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1398290
- rpmlint output for SRPM and for RPM.
perl-Pod-Abstract.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Pod/Abstract/Filter/number_sections.pm
perl-Pod-Abstract.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Pod/Abstract/Filter/unoverlay.pm
==> fix this
+ source files match upstream url
dd1b4c0050da091ab2a78ac6e32bc6dd9dd18e17  Pod-Abstract-0.17.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=35,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.17 cusr  0.02 csys =  0.23 CPU)
+ Package  perl-Pod-Abstract-0.17-1.fc12.noarch =>
Provides: perl(Pod::Abstract) = 0.17 perl(Pod::Abstract::BuildNode) = 0.17 perl(Pod::Abstract::Filter) = 0.17 perl(Pod::Abstract::Filter::add_podcmds) = 0.17 perl(Pod::Abstract::Filter::clear_podcmds) = 0.17 perl(Pod::Abstract::Filter::cut) = 0.17 perl(Pod::Abstract::Filter::find) = 0.17 perl(Pod::Abstract::Filter::number_sections) = 0.17 perl(Pod::Abstract::Filter::overlay) = 0.17 perl(Pod::Abstract::Filter::sort) = 0.17 perl(Pod::Abstract::Filter::summary) = 0.17 perl(Pod::Abstract::Filter::uncut) = 0.17 perl(Pod::Abstract::Filter::unoverlay) = 0.17 perl(Pod::Abstract::Node) = 0.17 perl(Pod::Abstract::Parser) = 0.17 perl(Pod::Abstract::Path) = 0.17 perl(Pod::Abstract::Serial) = 0.17 perl(Pod::Abstract::Tree) = 0.17
Requires: /usr/bin/perl perl(Data::Dumper) perl(Exporter) perl(File::Temp) perl(IO::String) perl(Pod::Abstract) perl(Pod::Abstract::BuildNode) perl(Pod::Abstract::Filter) perl(Pod::Abstract::Node) perl(Pod::Abstract::Parser) perl(Pod::Abstract::Path) perl(Pod::Abstract::Serial) perl(Pod::Abstract::Tree) perl(Pod::Parser) perl(Scalar::Util) perl(UNIVERSAL) perl(base) perl(constant) perl(strict) perl(warnings)
+ Not a GUI application

Your given SPEC URL and spec in SRPM is not matching.

You can even change permissions in %prep 
chmod 644  lib/Pod/Abstract/Filter/*.pm
Comment 3 Marcela Mašláňová 2009-06-19 03:20:38 EDT
ping?
Comment 4 Parag AN(पराग) 2009-06-19 04:58:42 EDT
oops sorry got missed from review tracker list.

APPROVED.
Comment 5 Marcela Mašláňová 2009-06-19 05:02:47 EDT
Thank you, I owe you for many reviews.

New Package CVS Request
=======================
Package Name: perl-Pod-Abstract 
Short Description: Abstract document tree for Perl POD documents
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig
Comment 6 Jason Tibbitts 2009-06-20 11:02:02 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.